Ir al contenido

database_api.list_smt_contributions ​

since HF23 deprecated

SMT has been abandoned; this RPC method is no longer provided.

Purpose ​

Enumera las contribuciones (contribution) SMT (tokens de medios inteligentes). Las contribuciones son necesarias para registrar las contribuciones individuales en un SMT durante la fase de ICO. Parámetros: start:array; limit:int; order:string

  • start depende de order (ver más abajo)
  • limit es hasta 1000.
  • order puede ser uno de:
    • by_symbol_id - ordenar por símbolo
    • by_symbol_contributor - ordenar por symbol, contributor y contribution_id

| start (array) | limit (int) | order (string) | |-------------------|-|-|-|-|-| | [{"nai": "@@422838704", "decimals": 0}, 0] | 10 | by_symbol_id | enumera 10 contribuciones, ordenadas por símbolo, id | | [{"nai": "@@422838704", "decimals": 0}, "alice", 0] | 10 | by_symbol_contributor | enumera 10 contribuciones, ordenadas por símbolo, contribuidor, id |

Véase: Token Units, Vesting Contributions

Véase también: Paginated API Methods

Parameters ​

PARAMETERS
json
{
  "start": null,
  "limit": 0,
  "order": "by_symbol_id"
}

⚠ Este método está deprecado (de la era SMT, tokens de medios inteligentes) y ya no es proporcionado por los nodos públicos.

Example ​

Example 1 ​

BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.list_smt_contributions",
    "params": {
      "start": [
        {
          "nai": "@@422838704",
          "decimals": 0
        },
        0
      ],
      "limit": 10,
      "order": "by_symbol_id"
    },
    "id": 1
  }'

Example 2 ​

BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.list_smt_contributions",
    "params": {
      "start": [
        {
          "nai": "@@422838704",
          "decimals": 0
        },
        "alice",
        0
      ],
      "limit": 10,
      "order": "by_symbol_contributor"
    },
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "contributions": [
    {
      "id": 0,
      "symbol": {
        "nai": "@@422838704",
        "decimals": 0
      },
      "contributor": "alice",
      "contribution_id": 0,
      "contribution": {
        "amount": "1000",
        "precision": 3,
        "nai": "@@000000021"
      }
    }
  ]
}